import routerService from '@/common/services/router-service'

routerService
  .route('/sd-frame')
  .child('sd-message-remind', {
    component: './sd-message-remind.vue',
  })
  .child('sd-create-process', {
    component: './sd-create-process.vue',
  })
  .child('sd-process-search', {
    component: './sd-process-search.vue',
  })
  .child('sd-quicknav-manage', {
    component: './sd-quicknav-manage.vue',
  })
  .child('sd-common-usage', {
    component: './sd-common-usage.vue',
  })
  .child('sd-print-maintain', {
    component: './sd-print-maintain.vue',
  })
  .child('sd-watermark-config', {
    component: './sd-watermark-config.vue',
  })
  .child('sd-init-operate-tools', {
    component: './sd-init-operate-tools.vue',
  })
  .child('sd-cache-manage', {
    component: './sd-cache-manage.vue',
  })
  .child('sd-sys-manage-config', {
    component: './sd-sys-manage-config.vue',
  })
  .child('sd-password-batch-modify', {
    component: './sd-password-batch-modify.vue',
  })
  .child('sd-exclude-login-manage', {
    component: './sd-exclude-login-manage.vue',
  })
  .child('sd-apps-register-manage', {
    component: './sd-apps-register-manage.vue',
  })
  .child('sd-data-clear-tools', {
    component: './sd-data-clear-tools.vue',
  })
  .child('sd-data-clear-black-list', {
    component: './sd-data-clear-black-list.vue',
  })
  .child('sd-sys-switchon-config', {
    component: './sd-sys-switchon-config.vue',
  })
  .child('sd-log-record', {
    component: './sd-log-record.vue',
  })
  .child('sd-log-fail-record', {
    component: './sd-log-fail-record.vue',
  })
  .child('sd-data-maintain', {
    component: './sd-data-maintain.vue',
  })
  .child('sd-review-config', {
    component: './sd-review-config.vue',
  })
  .child('sd-flowplayer-query', {
    component: './sd-flowplayer-query.vue',
  })
  .child('sd-online-user-list', {
    component: './sd-online-user-list.vue',
  })
  .child('sd-verify-rule-manage', {
    component: './sd-verify-rule-manage.vue',
  })
  .child('sd-treedata-dictionary', {
    component: './sd-treedata-dictionary.vue',
  })
  .child('sd-sso-setting', {
    component: './sd-sso-setting.vue',
  })
  .child('sd-third-sync-config', {
    component: './sd-third-sync-config.vue',
  })
// 流程属性配置：业务属性
routerService.routeInFrame('sd-process-propertyset', {
  component: './sd-process-propertyset.vue',
})
// 流程属性配置：预置按钮
routerService.routeInFrame('sd-preset-buttonlist', {
  component: './sd-preset-buttonlist.vue',
})
// 单点到第三方应用
routerService.route('/sd-thirdparty-ssologin/:thirdpartyCode', {
  component: './sd-thirdparty-ssologin.vue',
})
